# URL Parameters

### Off-ramp URL[​](https://docs.fonbnk.com/docs/offramp/query-params#off-ramp-url) <a href="#off-ramp-url" id="off-ramp-url"></a>

| Environment | URL                                      |
| ----------- | ---------------------------------------- |
| Sandbox     | <https://sandbox-pay.fonbnk.com/offramp> |
| Production  | <https://pay.fonbnk.com/offramp>         |

### List of parameters[​](https://docs.fonbnk.com/docs/offramp/query-params#list-of-parameters) <a href="#list-of-parameters" id="list-of-parameters"></a>

Here is the list of parameters that can be added to the URL:

| Parameter       | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| network         | Wallet network from which user will send crypto. Supported values: ARBITRUM, AVALANCHE, BASE, BNB, CELO, ETHEREUM, LISK, OPTIMISM, POLYGON, SOLANA, STELLAR, TON, TRON                                                                                                                                                                                                                                                                                                                                                                                  |
| asset           | Wallet asset from which the user will send crypto.Supported values: **USDC**, **CUSD**, **USDT**, **CKES, CGHS**, depending on the network. The default value is **USDC** for all networks that support it, except CELO, which is CUSD for CELO. Supported network/asset pairs: AVALANCHE (USDC/USDT), POLYGON (USDC, USDT), CELO (CUSD, USDC, USDT, CKES, CGHS), STELLAR (USDC), SOLANA (USDC, USDT),  BASE (USDC), ETHEREUM (USDC, USDT),  LISK (USDT), OPTIMISM (USDC, USDT), BNB (USDC, USDT), ARBITRUM (USDC, USDT), TRON (USDT), TON (USDT, USDE) |
| amount          | If a currency is not provided, it will be an amount of crypto user wants to exchange. If currency is **local** it will be the amount of local currency user wants to receive.                                                                                                                                                                                                                                                                                                                                                                           |
| currency        | Currency of the amount. Supported values: **crypto** or **local**                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| paymentChannel  | Type of the off-ramp: **bank**, **airtime**, **mobile\_money**, **paybill**                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| countryIsoCode  | default selected country iso code, example: **KE** for Kenya, **NG** for Nigeria                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| currencyIsoCode | currency iso code, example: **KES** for Kenya, **NGN** for Nigeria. Acts like a country parameter.                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| freezeAmount    | Freezes the amount of order for the user, the user will not be able to change it. The amount is required in the URL for this parameter to work.                                                                                                                                                                                                                                                                                                                                                                                                         |
| freezeWallet    | Freezes the wallet of order for the user, the user will not be able to change it. The wallet is required in the URL for this parameter to work.                                                                                                                                                                                                                                                                                                                                                                                                         |
| hideSwitch      | if present, hides Buy/Sell switch at the top                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |

Parameters allowed only for [registered merchants](https://docs.fonbnk.com/integration-guide#generating-payment-urls-and-creating-orders):&#x20;

| Parameter   | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| orderParams | This parameter will be sent to a merchant webhook with order status changes                                                                                                                                                                                                                                                                                                                                                                                        |
| source      | <p>parameter used to match an order to a merchant</p><p><mark style="color:orange;"><strong>\[Warning]</strong></mark> In production, you must be a verified merchant to use this parameter. Please contact our team for a KYB process.</p>                                                                                                                                                                                                                        |
| signature   | <p>A JWT token (HS256 encryption algorithm) is generated using the "URL signature secret" value as a secret. You must add some unique value to the token payload to make each token unique because we don't allow creating more than one order using the same signature.</p><p><mark style="color:orange;"><strong>\[Warning]</strong></mark> In production, you must be a verified merchant to use this parameter. Please contact our team for a KYB process.</p> |

Here is an example of a URL with parameters:

{% code overflow="wrap" %}

```
https://pay.fonbnk.com/offramp?amount=1&network=POLYGON&asset=USDT
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fonbnk.com/v1.5/off-ramp/url-parameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
